- Home
- API Enriched
- Marketplace
- terraform
- Run Terraform Action for view.
Run Terraform Action for view.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/terraform/namespaces/example/terraform/example/example/run';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"action":"APPLY","namespace":"example","view_kind":"example","view_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/terraform/namespaces/example/terraform/example/example/run \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "action": "APPLY", "namespace": "example", "view_kind": "example", "view_name": "example" }'Perform terraform actions for a given view. Supported actions are apply and plan.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for the label to be retrieved.
Kind of View Kind of view of which terraform parameters are requested e.g. Aws_vpc_site, azure_vnet_site.
Name of view Name of the view for which terraform parameters are requested.
Request Bodyrequired
Section titled “Request Bodyrequired”Perform terraform actions for a given view. Supported actions are apply and plan.
object
Namespace for the label to be retrieved.
Kind of view of which terraform parameters are requested e.g. Aws_vpc_site, azure_vnet_site.
Name of the view for which terraform parameters are requested.
Responses
Section titled “Responses”A successful response.
Response for Run API.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example